Bug 329661 - alsactl-related setroubleshoot errors upon either suspend or hibernate
alsactl-related setroubleshoot errors upon either suspend or hibernate
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-12 12:55 EDT by Andre Robatino
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 2.6.4-48.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-16 08:50:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sealert -l output for one of the "write" errors (2.30 KB, text/plain)
2007-10-12 12:55 EDT, Andre Robatino
no flags Details
sealert -l output for one of the "read" errors (2.29 KB, text/plain)
2007-10-12 12:57 EDT, Andre Robatino
no flags Details

  None (edit)
Description Andre Robatino 2007-10-12 12:55:39 EDT
Description of problem:
  If I either suspend or hibernate, and then resume, I get 3 setroubleshoot
errors as follows (the first two happen during suspend/hibernate, the third
during resume) in /var/log/messages (the gold star also appears upon resume):

Oct 12 12:45:11 localhost setroubleshoot:      SELinux is preventing
/sbin/alsactl (alsa_t) "read" to asound.state (etc_runtime_t).      For complete
SELinux messages. run sealert -l 582650d7-4693-4e2c-8ead-faff20a5a071
Oct 12 12:45:11 localhost setroubleshoot:      SELinux is preventing
/sbin/alsactl (alsa_t) "write" to asound.state (etc_runtime_t).      For
complete SELinux messages. run sealert -l 8cc34923-4885-4b43-935f-2b2e36c70431
Oct 12 12:45:37 localhost setroubleshoot:      SELinux is preventing
/sbin/alsactl (alsa_t) "read" to asound.state (etc_runtime_t).      For complete
SELinux messages. run sealert -l 582650d7-4693-4e2c-8ead-faff20a5a071

Version-Release number of selected component (if applicable):
selinux-policy-2.6.4-46.fc7

How reproducible:
always
Comment 1 Andre Robatino 2007-10-12 12:55:39 EDT
Created attachment 225801 [details]
sealert -l output for one of the "write" errors
Comment 2 Andre Robatino 2007-10-12 12:57:06 EDT
Created attachment 225811 [details]
sealert -l output for one of the "read" errors
Comment 3 Daniel Walsh 2007-10-15 13:25:05 EDT
Does restorecon -V /etc/asound.state fix the problem?
Comment 4 Andre Robatino 2007-10-15 13:33:24 EDT
[root@localhost ~]# restorecon -V /etc/asound.state
restorecon: invalid option -- V
usage:  restorecon [-iFnrRv] [-e excludedir ] [-o filename ] [-f filename |
pathname... ]
[root@localhost ~]#
Comment 5 Daniel Walsh 2007-10-15 13:43:50 EDT
Make that -v
Comment 6 Andre Robatino 2007-10-15 13:48:48 EDT
  After issuing the command, the problem still exists after a suspend.

[root@localhost ~]# grep setroubleshoot /var/log/messages
Oct 15 13:45:41 localhost setroubleshoot:      SELinux is preventing
/sbin/alsactl (alsa_t) "read" to asound.state (etc_runtime_t).      For complete
SELinux messages. run sealert -l 582650d7-4693-4e2c-8ead-faff20a5a071
Oct 15 13:45:41 localhost setroubleshoot:      SELinux is preventing
/sbin/alsactl (alsa_t) "write" to asound.state (etc_runtime_t).      For
complete SELinux messages. run sealert -l 8cc34923-4885-4b43-935f-2b2e36c70431
Oct 15 13:46:07 localhost setroubleshoot:      SELinux is preventing
/sbin/alsactl (alsa_t) "read" to asound.state (etc_runtime_t).      For complete
SELinux messages. run sealert -l 582650d7-4693-4e2c-8ead-faff20a5a071
[root@localhost ~]#
Comment 7 Daniel Walsh 2007-10-15 14:16:49 EDT
Ok can you try selinux-policy-2.6.4-48.fc7

In fedora-testing,  

I just requested that this be pushed to stable.
Comment 8 Andre Robatino 2007-10-15 14:35:10 EDT
  Updating selinux-policy and selinux-policy-targeted to the updates-testing
versions (2.6.4-48.fc7) fixes the problem, both for suspend and hibernate. 
Thanks for the quick fix.
Comment 9 Andre Robatino 2007-10-16 08:50:06 EDT
  Also fixed with selinux-policy*-2.6.4-48.fc7 from updates-released.  Closing.

Note You need to log in before you can comment on or make changes to this bug.